<template>
  <div id="menu">
    <router-link v-for="(item, index) in links" :key="index" :to="item.path">{{ item.name }}</router-link>
  </div>
</template>

<script>
export default {
  data () {
    let links
    links = this.$router.options.routes.filter(e => {
      return e.showInMenuBar !== false
    })
    return {
      links
    }
  }
}
</script>


<style>
#menu {
  display: flex;
  flex-direction: column;
  border-right: 1px solid;
}
#menu > * {
  border-bottom: 1px solid;
  padding: 1em;
}
</style>
